package cmd

import (
	"fmt"
	"github.com/urfave/cli/v2"
	"go.jolheiser.com/gpm/modules/config"
)

var Export = cli.Command{
	Name:   "export",
	Usage:  "Export JSON for local packages",
	Action: doExport,
}

func doExport(ctx *cli.Context) error {

	export, err := config.Export()
	if err != nil {
		return err
	}

	fmt.Println(export)
	return nil
}
